;;
;; modocp.pro
;;
;; Utility routines supporting occultation searches
;;

PRO setocp, target, occbdy, abcorr, obsrvr

   ;;
   ;; Save function arguments to be used while searching.
   ;;

   common modocp_vars, svcorr, svocbd, svtarg, svobsv

   svcorr = abcorr
   svocbd = occbdy
   svtarg = target
   svobsv = obsrvr

END


FUNCTION stocp, et
   ;;
   ;; Logical function to indicate "state" of target:  the state
   ;; is TRUE when the target is occulted as seen from the 
   ;; observer's location; otherwise the state is FALSE.
   ;;
   
   common modocp_vars

   retval = occpt ( svtarg, svocbd, et, svcorr, svobsv )

   return, retval

END
